com.verisign.epp.codec.validate.v02

## Class EPPValidateAuthInfo

- java.lang.Object
- - com.verisign.epp.codec.validate.v02.EPPValidateAuthInfo

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPValidateAuthInfo
      extends java.lang.Object
      implements EPPCodecComponent

  Represents authorization information that is used for validate.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ATTR_ROID` XML Element roid attribute name of `EPPValidateAuthInfo` root element.
    `protected static java.lang.String` | `ELM_EXT` XML Element name extensible authorization type
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the AuthInfo local name
    `static java.lang.String` | `ELM_NAME` Constant for the authInfo tag
    `protected static java.lang.String` | `ELM_PW` XML Element name password authorization type
    `protected EPPCodecComponent` | `ext` Extension authorization information.
    `protected java.lang.String` | `password` Password authorization information.
    `protected java.lang.String` | `roid` roid.
    `protected short` | `type` Type, and default value is `TYPE_PW`
    `static short` | `TYPE_EXT` Extensible auth info type.
    `static short` | `TYPE_PW` password auth info type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPValidateAuthInfo()` Default constructor that must have the password or extension attributes set before calling `encode`.
    `EPPValidateAuthInfo(EPPCodecComponent aExt)` Constructor that takes just the authorization extension.
    `EPPValidateAuthInfo(java.lang.String aPassword)` Constructor that takes just the authorization password.
    `EPPValidateAuthInfo(java.lang.String aPassword, java.lang.String aRoid)` Constructor the authorization password and the roid.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPValidateAuthInfo`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPValidateAuthInfo attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPValidateAuthInfo instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPValidateAuthInfo` compare.
    `EPPCodecComponent` | `getExt()` Gets the extension authorization.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getPassword()` Gets the password authorization information.
    `java.lang.String` | `getRoid()` Get Registry Object IDentifier (ROID).
    `short` | `getType()` Get the type of the auth info.
    `void` | `setExt(EPPCodecComponent aExt)` Sets the extension authorization information.
    `void` | `setPassword(java.lang.String aPassword)` Sets the password authorization information.
    `void` | `setRoid(java.lang.String aRoid)` Set Registry Object IDentifier (ROID).
    `void` | `setType(short aType)` Set auth info type.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PW

          public static final short TYPE_PW

      password auth info type
      See Also:
        Constant Field Values

    - #### TYPE_EXT

          public static final short TYPE_EXT

      Extensible auth info type.
      See Also:
        Constant Field Values

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the AuthInfo local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the authInfo tag
      See Also:
        Constant Field Values

    - #### ELM_PW

          protected static final java.lang.String ELM_PW

      XML Element name password authorization type
      See Also:
        Constant Field Values

    - #### ELM_EXT

          protected static final java.lang.String ELM_EXT

      XML Element name extensible authorization type
      See Also:
        Constant Field Values

    - #### ATTR_ROID

          protected static final java.lang.String ATTR_ROID

      XML Element roid attribute name of `EPPValidateAuthInfo` root element.
      See Also:
        Constant Field Values

    - #### password

          protected java.lang.String password

      Password authorization information.

    - #### ext

          protected EPPCodecComponent ext

      Extension authorization information.

    - #### type

          protected short type

      Type, and default value is `TYPE_PW`

    - #### roid

          protected java.lang.String roid

      roid.

  - ### Constructor Detail

    - #### EPPValidateAuthInfo

          public EPPValidateAuthInfo()

      Default constructor that must have the password or extension attributes set before calling `encode`.

    - #### EPPValidateAuthInfo

          public EPPValidateAuthInfo(java.lang.String aPassword)

      Constructor that takes just the authorization password.
      Parameters:
        `aPassword` - Authorization password

    - #### EPPValidateAuthInfo

          public EPPValidateAuthInfo(java.lang.String aPassword,
                                     java.lang.String aRoid)

      Constructor the authorization password and the roid.
      Parameters:
        `aRoid` - Roid of the Registrant
        `aPassword` - Authorization password

    - #### EPPValidateAuthInfo

          public EPPValidateAuthInfo(EPPCodecComponent aExt)

      Constructor that takes just the authorization extension.
      Parameters:
        `aExt` - Extension authorization element

  - ### Method Detail

    - #### getRoid

          public java.lang.String getRoid()

      Get Registry Object IDentifier (ROID).
      Returns:
        Registry Object IDentifier (ROID)

    - #### setRoid

          public void setRoid(java.lang.String aRoid)

      Set Registry Object IDentifier (ROID).
      Parameters:
        `aRoid` - The Registry Object IDentifier (ROID) value.

    - #### getPassword

          public java.lang.String getPassword()

      Gets the password authorization information.
      Returns:
        Authorization password

    - #### setPassword

          public void setPassword(java.lang.String aPassword)

      Sets the password authorization information.
      Parameters:
        `aPassword` - Authorization password

    - #### getExt

          public EPPCodecComponent getExt()

      Gets the extension authorization.
      Returns:
        Authorization extension

    - #### setExt

          public void setExt(EPPCodecComponent aExt)

      Sets the extension authorization information.
      Parameters:
        `aExt` - Authorization extension

    - #### getType

          public short getType()

      Get the type of the auth info.
      Returns:
        One of the `TYPE_` constants.

    - #### setType

          public void setType(short aType)

      Set auth info type. The default value is `TYPE_PW`.
      Parameters:
        `aType` - One of the `TYPE_` constants

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPValidateAuthInfo`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPValidateAuthInfo`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPValidateAuthInfo instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the EPPValidateAuthInfo instance.
      Throws:
        `EPPEncodeException` - - Unable to encode EPPValidateAuthInfo instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPValidateAuthInfo attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode EPPDomainContact from.
      Throws:
        `EPPDecodeException` - - Unable to decode aElement.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPValidateAuthInfo` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPValidateAuthInfo` instance to compare with
      Returns:
        `true` if equal; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.